package com.iformall.enums;

/**
 * Created by luozukai
 * 短信模板
 */
public enum EnumMailMsgModel {
    MAIL_PASS_NODIFY(345, "审批通过通知"),
    MAIL_BILL_WAIT_PAY(346, "待缴账单通知"),
    MAIL_APPLY_NODIFY(347, "审批通知"),
    MAIL_BILL_OWE(348, "欠缴账单通知"),
    MAIL_ASSIGNEE_NODIFY(349, "代办通知"),
    MAIL_REJECT_NODIFY(350, "驳回通知"),
    ;

    public static EnumMailMsgModel getEnum(Integer code) {
        for (EnumMailMsgModel value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumMailMsgModel(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
